<%= form_with(model: book, local: true) do |form| %>
  <% if book.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(book.errors.count, "error") %> prohibited this book from being saved:</h2>

      <ul>
        <% book.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name %>
  </div>

  <div class="field">
    <!--<%= form.label :author_id %>
    <%= form.text_field :author_id %>-->
    <%= collection_select(:book, :author_id, Author.all, :id, :name) %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
  
<% end %>
